xcb_x_print_print_get_context(3)

NAME
xcb_x_print_print_get_context -

SYNOPSIS
#include <xcb/xprint.h>

  Request function

xcb_x_print_print_get_context_cookie_t xcb_x_print_print_get_context(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_x_print_print_get_context_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t context;
} xcb_x_print_print_get_context_reply_t;

  Reply function

xcb_x_print_print_get_context_reply_t *xcb_x_print_print_get_context_reply(xcb_connection_t *conn, xcb_x_print_print_get_context_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_X_PRINT_PRINT_GET_CONTEXT. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

context
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_x_print_print_get_context_cookie_t. Errors have to be handled when calling the reply function xcb_x_print_print_get_context_reply. If you want to handle errors in the event loop instead, use xcb_x_print_print_get_context_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xprint.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.